## ros-indigo-smarthome-media-kodi-driver 0.1.57

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(smarthome_media_kodi_driver)
set(PACKAGE_PATH "org/rosmultimedia/player")

find_package(catkin REQUIRED
  rosjava_build_tools

  smarthome_common_driver
  smarthome_media_model
)

catkin_rosjava_setup(publishMavenJavaPublicationToMavenRepository installApp)

catkin_package()

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/${PACKAGE_PATH}/${PROJECT_NAME}/
    DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/${PACKAGE_PATH}/${PROJECT_NAME})

install(DIRECTORY build/install/${PROJECT_NAME}/lib/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/build/lib)

install(PROGRAMS build/install/${PROJECT_NAME}/bin/${PROJECT_NAME}
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/build/scripts)

install(DIRECTORY launch/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

=== debian/changelog ===
ros-indigo-smarthome-media-kodi-driver (0.1.57-0trusty) trusty; urgency=high

  * Clean package info
  * Update package dependencies
    Update messages packages names
  * Rename package name to smarthome_media_kodi_driver
  * Remove building dependency
  * Update package description & license
  * Contributors: Alfred Team, Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 04 Jun 2016 22:00:00 -0000

ros-indigo-smarthome-media-kodi-driver (0.1.52-0trusty) trusty; urgency=high

  * Update dependencies
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 28 Nov 2015 23:00:00 -0000

ros-indigo-smarthome-media-kodi-driver (0.1.50-0trusty) trusty; urgency=high

  * Apply new package architecture
  * Update xbmc configuration
  * Apply ros base changes
  * Update gradle & dependencies
  * Contributors: Erwan Le Huitouze, Mickael Gaillard

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 21 Nov 2015 17:05:00 -0000

ros-indigo-smarthome-media-kodi-driver (0.1.47-0trusty) trusty; urgency=high

  * Update headers
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Tue, 18 Aug 2015 22:00:00 -0000

ros-indigo-smarthome-media-kodi-driver (0.1.10-0trusty) trusty; urgency=high

  * Update package file
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sun, 03 May 2015 22:00:00 -0000

ros-indigo-smarthome-media-kodi-driver (0.1.9-0trusty) trusty; urgency=high

  * Add package
  * Contributors: Erwan Le Huitouze

 -- Mickael Gaillard <mick.gaillard@gmail.com>  Sat, 04 Apr 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-smarthome-media-kodi-driver
Section: misc
Priority: extra
Maintainer: Mickael Gaillard <mick.gaillard@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosjava-build-tools, ros-indigo-smarthome-common-driver, ros-indigo-smarthome-media-model
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-smarthome-media-kodi-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-smarthome-common-driver, ros-indigo-smarthome-media-model
Description: This package is for interfacing Kodi (by Rest API) to ROS.
 This package is part of Alfred Assistant stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-smarthome-media-kodi-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
